
Redmine - Feature #9803

Change project through REST API issue update

2011-12-15 10:43 - Pete Moorer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

E.g. the following has a new tracker_id and project_id. Tracker changed but the project remained the same as before.

Processing IssuesController#update to xml (for 152.23.193.3 at 2011-12-15 11:31:09) [PUT]

Parameters: {"format"=>"xml", "action"=>"update", "id"=>"5162", "issue"=>{"priority_id"=>"4", "project_id"=>"2", "tracker_id"=>"2",

"due_date"=>"2011-10-15", "status_id"=>"1"}, "controller"=>"issues"}

Sending email notification to:

Completed in 105ms (View: 0, DB: 24) | 200 OK [http://redmine.projects.es/issues/5162.xml]

And we have the latest version (updated couple days ago).

Associated revisions

Revision 8531 - 2012-01-07 13:34 - Jean-Philippe Lang

Allows project to be changed from the regular issue update action (#4769, #9803).

History

#1 - 2011-12-15 10:53 - Etienne Massip

- Category set to REST API

- Affected version (unused) set to 1.3.0

- Affected version set to 1.3.0

#2 - 2011-12-15 11:59 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Redmine API does not change project with update issue method to Change project through REST API issue update

Not implemented yet.

#3 - 2012-01-07 13:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Added in r8531.
